﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="LazyLoaderApp._Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Lazy Loader</title>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js"></script>
    <script type="text/javascript" src="js/jquery.lazyload.min.js"></script>
</head>
<body>
    <form id="form1" runat="server">
    <!-- Lazy Load --> 
    <script type="text/javascript"> 
        $(function() {
            $("img").lazyload({ placeholder: "images/grey.gif", effect: "fadeIn" });
        });
    </script> 
       
     <div id="content"> 
        <!-- Content Starts --> 
        <div class="content_top"> 
            <!-- top design --> 
        </div> 
        <div class="content_body"> 
            <div class="entry" > 
                <!-- RDFa wrapper --> 
                <div typeof="dcmitype:Text" xmlns:dcmitype="http://purl.org/dc/terms/DCMIType/"

                xmlns:dc="http://purl.org/dc/terms/"> 
                <h2 property="dc:title"> 
                    Set up IIS 7 to run a secure site locally - HTTPS</h2> 
                <hr /> 
                <p property="dc:description"> 
                    <p>I've recently been working on a project where I needed to get a development site running using SSL on IIS 7. If its the first time you've done this it can be a little tricky, but IIS 7 has made it super easy to create self signed certificates. You may also need to be able to run your site on IIS locally instead of using cassini, so that you can still debug. These are some of the steps I took to get it up and running:</p> 
 
<p>If you dont already have IIS installed on your PC, go to Control Panel -> Programs -> Programs and features and select “Turn Windows Features on or off”. Select Internet Information Services. Make sure ASP.NET is 
selected under World Wide Web Services -> Application Development Features.</p> 
 
<p><img src="http://www.deanhume.com/content/postimages/iis7/IIS%207-Settings.jpg" alt="IIS 7 settings" title="" /></p> 
 
<p>Go to Control Panel -> Systems and Security -> Administrative Tools -> 
Internet Information Services (IIS) Manager.</p> 
 
<p>Select your Computer Name on the left under Connections. Now double click Server Certifcates under IIS group.</p> 
 
<p><img src="http://www.deanhume.com/content/postimages/iis7/ssl.png" alt="Certificates" title="" /></p> 
 
<p>Select Create Self-Signed Certificate from the actions panel. Enter a name for your certificate. A new certificate should be added to the list with the name you just gave it.</p> 
 
<p><img src="http://www.deanhume.com/content/postimages/iis7/certificate.png" alt="Certificate" title="" /></p> 
 
<p>Select a site in the tree view and click Bindings... in the Actions pane.  This brings up the bindings editor that lets you create, edit, and delete bindings for your Web site. Click Add... to add your new SSL binding to the site. Select Bindings from Actions panel. Select Add and then select https for type and select the cerificate you just created for SSL certificate. Select OK. </p> 
 
<p><img src="http://www.deanhume.com/content/postimages/iis7/bindings.png" alt="bindings" title="" /></p> 
 
<p><img src="http://www.deanhume.com/content/postimages/iis7/sitebinding.png" alt="Site Binding" title="" /></p> 
 
<p>The web site should now have 2 bindings, one for *.80 (http) and one for *.443 (https). </p> 
 
<p>We need to go back to Visual Studio, right-click the Secure Web Site Project and select Properties. Now select the Web tab. For Servers select to use Local IIS Web Server. Set the Project Url to be 
https://localhost (or whatever you have named your website to be in IIS)</p> 
 
<p><img src="http://www.deanhume.com/content/postimages/iis7/visualstudio.png" alt="Visual Studio" title="" /></p> 
 
<p>Some browsers will display an error page because the self-signed certificate was issued by your computer, not a trusted Certificate Authority (CA). If you just click "Continue to this website", you will
be redirected as normal. </p> 
 
<p><img src="http://www.deanhume.com/content/postimages/iis7/continue.jpg" alt="Continue" title="" /></p> 
 
<p><br/></p> 
 
<h2>Enabling 32 bit applications</h2> 
 
<p>I have also come across this little curveball before:</p> 
 
<p><b>System.BadImageFormatException: Could not load file or assembly or one of its dependencies. An attempt was made to load a program with an incorrect format.</b></p> 
 
<p>or</p> 
 
<p><b>System.BadImageFormatException: is not a valid Win32 application</b></p> 
 
<p>If you have recently deployed your asp.net application and it used to run perfectly, and then all of a sudden when running in IIS7 you get the above error, you might need to enable 32 bit applications in your application pool.</p> 
 
<p><img src="http://www.deanhume.com/content/postimages/iis7/appPool.png" alt="App Pool" title="" /></p> 
 
<p>Basically, go into your IIS 7 manager console, find the application pool your app is running in, right-click on it, go to Advanced Settings, and change the Enable 32-bit Applications setting to true:</p> 
 
<p><img src="http://www.deanhume.com/content/postimages/iis7/32bit.png" alt="32 Bit" title="" /></p> 
 
<p> Tada! Hopefully everything should be running again!</p> 
                </p> 
                
                </div> 
                
                
                    
    </div>
    </form>
</body>
</html>
